*{
    margin: 0;
    padding: 0;
    text-decoration: none;
    box-sizing: border-box;
}
body{
    overflow-x: hidden;
    background-image: url(images/home\ bg.jpg);
    background-repeat: no-repeat;
    background-size: cover;
}
.logo {
    display: flex;
    position: relative;
    top: 2rem;
    gap: 20px;
    left: 10rem;
    align-items: center;
}
.logo img{
    
    width: 110px;
}
.logo h1{
    font-size: 2.5rem;
    color: #f8c017
}

.menu-toggle {
    display: block;
    position: relative;
    top: -2.2rem;
    left: 82rem;
    z-index: 1;
}
.menu-toggle input[type = "checkbox"]{
    display: block;
    width: 40px;
    height: 32px;
    position: absolute;
    top: -7px;
    left: -5px;
    cursor: pointer;
    z-index: 2;
    opacity: 0;
}
.menu-toggle span{
    display: block;
    width: 33px;
    height: 4px;
    background-color: #f8c017;
    margin-bottom: 5px;
    position: relative;
    z-index: 1;
    transform-origin: 3px 2px;
    transition: transform 0.3s, background 0.5s cubic-bezier(0.77,0.2,0.05,1.0);

}
.menu-toggle input:checked ~ span{
    opacity: 1;
    transform: rotate(45deg);
    background-color: #131e3d;
}
.menu-toggle input:checked ~ span:nth-last-child(3){
    opacity: 0;
}
.menu-toggle input:checked ~ span:nth-last-child(2){
    transform: rotate(-45deg);
}

.menu-links {
    position: absolute;
    width: 300px;
    height: 693px;
    background-color: #f5ead9ab;
    margin: -100px 0 0 -44px;
    padding: 125px 50px 50px 50px;
    list-style: none;
    transform: translate(100%, 0);
    transition: transform 0.5s ;
}
.menu-toggle input:checked ~ ul{
    transform: none;
}
.menu-links a{
    color: #293e53;
    transition: color 0.3s ease;
}
.menu-links a:hover{
    color: #f8c017;
    transform: scale(1.2);
}
.menu-links li{
    padding: 10px 0;
    font-size: 22px;
}
.home-bg{
    margin: 5rem 175px;
    font-size: 2rem;
}
.home-items{
    display: flex;
    flex-direction: column;
    gap: 3rem;
}
.home-items h1{
    color: #f8c017;
    font-size: 5rem;;
}
.home-items p {
    font-size: 30px;
    max-width: 900px;
    color: white;
}
.home-content a {
    text-decoration: none;
    width: 12rem;
    padding: 5px;
    transition: transform 0.5s ease;
    display: block;
}
.home-content a p {
    font-size: 1.5rem;
    text-align: center;
    text-transform: uppercase;
    color: #f8c017;
    font-weight: 600;
}

.home-content a:hover {
    transform: scale(1.2);
    background-color: transparent;
    border: 1px solid #f8c017;
}

.home-content a:hover p {
    color: white;
}

.home-items{
    display: flex;
    flex-direction: column;
    gap: 2.8rem;
    animation: slideFormLeft 1s ease forwards;
    opacity: 0;
}

@keyframes slideFormLeft {
    0%{
        opacity: 0;
        transform: translateX(-100%);
    }
    100%{
        opacity: 1;
        transform: translateX(0);
    }
}
/* --------RESPONSIVE-------- */
@media (max-width: 768px) {
    .menu-toggle{
        left: 40rem;
    }
    .logo{
        left: 5rem;
    }
    .menu-links{
        height: 573px;
    }
    .home-bg {
    margin: 5rem 110px;
    font-size: 2rem;
}
    .home-items h1{
        font-size: 3rem;
}
    .home-items p{
        font-size: 20px;
    }
}